# Permanently delete an attachment

`POST /v1/attachments/{id}/purge`

Permanently deletes an attachment in the trash. Its bytes are removed when no other attachment uses them. Cannot be undone.

Scope: `docs:write`.

## Request

```bash
curl -X POST "https://api.lydie.co/v1/attachments/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/purge" \
  -H "Authorization: Bearer $LYDIE_TOKEN"
```

## Path parameters

- `id` (ULID, required)

## Response

- `purgedIds` (ULID[], required)

```json
{
  "purgedIds": [
    "01JCQ3V5MZ8G4ZK2X7T9R6N1PB"
  ]
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
